rsvg-convert(1)

NAME
rsvg-convert - turn SVG files into raster images.

SYNOPSIS
rsvg-convert [options] in.svg > out.png

DESCRIPTION
Converts SVG images into PNG raster images, PDF, PS, or SVG vector images, or dumps of Cairo XML or recording surfaces.

  OPTIONS

-d --dpi-x number
    Set the X resolution of the image in pixels per inch. RSVG's current default is 90 DPI.

-p --dpi-y number
    Set the Y resolution of the image in pixels per inch. RSVG's current default is 90 DPI.

-x --x-zoom number
    X Zoom factor, as a percentage. If unspecified, 1.0 is used as the default.

-y --y-zoom number
    Y Zoom factor, as a percentage. If unspecified, 1.0 is used as the default.

-z --zoom number
    Zoom factor, as a percentage. If unspecified, 1.0 is used as the default.

-w --width integer
    Specify how wide you wish the image to be. If unspecified, the natural width of the image is used as the default.

-h --height integer
    Specify how tall you wish the image to be. If unspecified, the natural height of the image is used as the default.

-f --format [png, pdf, ps, eps, svg, xml, recording]
    Specify the output format you wish the image to be saved in. If unspecified, PNG is used as the default.

-o --output filename
    Specify the output filename. If unspecified, outputs to stdout.

-i --export-id object-id
    Allows to specify an SVG object that should be exported. If unspecified, all objects will be exported.

-a --keep-aspect-ratio
    Specify that the aspect ratio is to be preserved. If unspecified, aspect ratio will not be preserved.

-b --background-color [black, white, #abccee, #aaa...]
    Specify the background color. If unspecified, none is used as the default.

-s --stylesheet filename
    Filename of a CSS stylesheet.

-u --unlimited
    The SVG parser has some guards designed to mitigate large CPU or memory consumption in the face of malicious XML. It may also refuse to resolve URIs used to embed image data. If you are running into such issues when converting a SVG, this option allows to turn off these guards.

--keep-image-data
    Include the original, compressed images in the final output, rather than uncompressed RGB data. This is the default behavior for PDF and (E)PS output.

--no-keep-image-data
    Do not include the original, compressed images but instead embed uncompressed RGB date in PDF or (E)PS output. This will most likely result in larger documents that are slower to read.

-v --version
    Display what version of rsvg this is.

ENVIRONMENT VARIABLES

SOURCE_DATE_EPOCH
    If the selected output format is PDF, this variable can be used to control the CreationDate in the PDF file. This is useful for reproducible output. The environment variable must be set to a decimal number corresponding to a UNIX timestamp, defined as the number of seconds, excluding leap seconds, since 01 Jan 1970 00:00:00 UTC. The specification for this can be found at https://reproducible-builds.org/specs/source-date-epoch/

MORE INFORMATION
https://wiki.gnome.org/Projects/LibRsvg http://www.w3.org/TR/SVG11/ http://www.gnome.org/

AUTHORS
Dom Lachowicz (cinamod@hotmail.com), Caleb Moore (c.moore@student.unsw.edu.au), Federico Mena-Quintero (federico@gnome.org), and a host of others.